Fedora Linux Support Community & Resources Center
  #1  
Old 3rd May 2012, 10:11 AM
lucapaganotti Offline
Registered User
 
Join Date: Nov 2011
Posts: 8
windows_7firefox
qgis-devel package usage

Hi all,

I'm trying to follow a qgis development tutorial I've found on qgis site (the coding and compilation guide). This document is targeting version 1.6 'Copiapò'. I'm trying to use qgis-devel package I've installed on my fedora 16 linux box inside eclipse indigo. Al packages I've installed come from fedora official repositories. Qgis is versioned as 1.7.x

Maybe I'm facing a trivial question.

I'm trying to build a simple application similar to that described in 'Creating C++ Application' chapter.

The example code cites:

...
#include <qgsapplication.h>
...

The build gives an error located in qgis include files:
qgsapplication.h includes Qt application class via this include statement:

...
#include <QApplication>

eclipse is complaining that QApplication include file can't be found. I'm not able to locate such a file on my filesystem.

What am I missing?

It seems that qgis-devel and Qt installed on my machine are not in sync, or that I'm missing some step in building my application due to the fact that I'm new to Qt and qgis development.

Any kind of help is kindly wellcome and appreciated.

Best regards.

lp
Reply With Quote
  #2  
Old 4th May 2012, 02:12 PM
lucapaganotti Offline
Registered User
 
Join Date: Nov 2011
Posts: 8
linuxfirefox
Re: qgis-devel package usage

Thanks a lot.

Using qmake .... is better ...
Correctly configured my .pro file to point the correct include paths and libraries in my x86_64 fedora.
Changed qt.sh under /etc/profile.d to point to the 64 bit library folder ...

at the moment seems solved, at least with example code.

---------- Post added at 02:47 PM ---------- Previous post was at 02:03 PM ----------

Another interesting information about qt eclipse integration plugin is that it doesn't install correctly if you're using eclipse indigo version on a 64 bit platform, eclipse 32bit or helios 64 bit version should be used. I've setup a simple gui project using helios 64bit and the eclipse integration plugin downloaded by nokia and all seems running fine, at least at this first step.

Maybe this can be usefull to someone else.

Last edited by lucapaganotti; 4th May 2012 at 02:30 PM.
Reply With Quote
Reply

Tags
package, qgisdevel, usage

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
64 bit gcc devel package missing zootboy Using Fedora 10 30th July 2009 10:47 PM
What does a -devel package mean? duanecu Using Fedora 4 5th January 2007 03:25 PM
Kernel Devel Package centos_x Using Fedora 2 30th October 2005 12:04 PM
New package: straw-0.22.1-0.fdr.3 (FC1, FC2-devel) fedora-package-announce-admin@fedora.us Advisories & Updates 0 22nd April 2004 04:56 PM


Current GMT-time: 00:23 (Thursday, 02-10-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat